/* $Id: statistic.h,v 1.1.1.1 1996/10/02 10:35:53 roitzsch Exp $ */

#include "general.h"

typedef struct dataDescimpl *ZD_DataDesc;

typedef struct dataDescimpl dataDescimpl;

struct dataDescimpl {
	char *name;
	dataDescimpl *older;
};

class Statistic
{
  public:
    Bool           active;
    ZD_DataDesc    idRefStep, idDepth, idNodes, idDiscErr, idIteSteps, idIteErr;  

    Statistic();
    virtual ~Statistic();

    ZD_DataDesc ZD_DataDef(const char *name,ZD_DataDesc dep);

    void ZD_IntWrite(ZD_DataDesc desc,int data);
    void ZD_RealWrite(ZD_DataDesc desc,double data);
};

